﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ServiceModel;
using TakeThatWF.Core;

namespace TakeThatWF.Clients
{
    public class ProxyWFInvokerClient : ClientBase<IProxyService>, IProxyService
    {

        public ProxyWFInvokerClient()
        {

        }
        public ProxyWFInvokerClient(string endPointConfigurationName, string address)
            : base(endPointConfigurationName, address)
        {

        }
        public Guid InitiateWFInstance(IDictionary<string, object> args)
        {
            return this.Channel.InitiateWFInstance(args);
        }

        public void ResumeBookmarkedWF(Guid workflowInstanceId, string bookmarkName, object state)
        {
            this.Channel.ResumeBookmarkedWF(workflowInstanceId, bookmarkName, state);
        }


    }
}