﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using TakeThatWF.Clients;
using TakeThatWF.Core;

namespace TakeThatWF.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Welcome to ASP.NET MVC!";

            return View();
        }

        public ActionResult InvokeWF(string text)
        {
            string address = string.Format("{0}://{1}:{2}/Services/FakeService.svc",
                Request.Url.Scheme,
                Request.Url.Host,
                Request.Url.Port);
            var client = new ProxyWFInvokerClient("TakeThatWFInvokerEP", address);

            IDictionary<string, object> args = new Dictionary<string, object>()
                {
                    { "Text", "hi"}
                };
            var guid = client.InitiateWFInstance(args);

            return RedirectToAction("Index", new { workflowGuid = guid });
        }
    }
}
